Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl
Class TaskIdentityServiceImpl

    java.lang.Object
      org.jbpm.services.task.impl.TaskIdentityServiceImpl

All Implemented Interfaces:
  org.kie.internal.task.api.TaskIdentityService

    @ApplicationScoped
    public class TaskIdentityServiceImpl

extends Object
implements org.kie.internal.task.api.TaskIdentityService

Constructor Summary
`TaskIdentityServiceImpl()`

Method Summary
`void` | `addGroup(org.kie.internal.task.api.model.Group group)`
`void` | `addUser(org.kie.internal.task.api.model.User user)`
`org.kie.internal.task.api.model.Group` | `getGroupById(String groupId)`
`List<org.kie.internal.task.api.model.Group>` | `getGroups()`
`org.kie.internal.task.api.model.OrganizationalEntity` | `getOrganizationalEntityById(String entityId)`
`org.kie.internal.task.api.model.User` | `getUserById(String userId)`
`List<org.kie.internal.task.api.model.User>` | `getUsers()`
`void` | `removeGroup(String groupId)`
`void` | `removeUser(String userId)`
`void` | `setPm(JbpmServicesPersistenceManager pm)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskIdentityServiceImpl

    public TaskIdentityServiceImpl()

Method Detail

### setPm

    public void setPm(JbpmServicesPersistenceManager pm)

### addUser

    public void addUser(org.kie.internal.task.api.model.User user)

  Specified by:
    `addUser` in interface `org.kie.internal.task.api.TaskIdentityService`

### addGroup

    public void addGroup(org.kie.internal.task.api.model.Group group)

  Specified by:
    `addGroup` in interface `org.kie.internal.task.api.TaskIdentityService`

### removeGroup

    public void removeGroup(String groupId)

  Specified by:
    `removeGroup` in interface `org.kie.internal.task.api.TaskIdentityService`

### removeUser

    public void removeUser(String userId)

  Specified by:
    `removeUser` in interface `org.kie.internal.task.api.TaskIdentityService`

### getUsers

    public List<org.kie.internal.task.api.model.User> getUsers()

  Specified by:
    `getUsers` in interface `org.kie.internal.task.api.TaskIdentityService`

### getGroups

    public List<org.kie.internal.task.api.model.Group> getGroups()

  Specified by:
    `getGroups` in interface `org.kie.internal.task.api.TaskIdentityService`

### getUserById

    public org.kie.internal.task.api.model.User getUserById(String userId)

  Specified by:
    `getUserById` in interface `org.kie.internal.task.api.TaskIdentityService`

### getGroupById

    public org.kie.internal.task.api.model.Group getGroupById(String groupId)

  Specified by:
    `getGroupById` in interface `org.kie.internal.task.api.TaskIdentityService`

### getOrganizationalEntityById

    public org.kie.internal.task.api.model.OrganizationalEntity getOrganizationalEntityById(String entityId)

  Specified by:
    `getOrganizationalEntityById` in interface `org.kie.internal.task.api.TaskIdentityService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.